import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (c, e, r, o) => {
  for (var t = o > 1 ? void 0 : o ? v(e, r) : e, s = c.length - 1, l; s >= 0; s--)
    (l = c[s]) && (t = (o ? l(e, r, t) : l(t)) || t);
  return o && t && m(e, r, t), t;
};
let p = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--laptop", this.class = "c-pieIcon c-pieIcon--laptop", this.name = "IconLaptop";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--laptop"><path d="M13.031 9.549V4.5A1.54 1.54 0 0 0 11.5 2.969h-7A1.54 1.54 0 0 0 2.969 4.5v5.049l-1.75 2.625v.201a1.54 1.54 0 0 0 1.531 1.531h10.5a1.54 1.54 0 0 0 1.531-1.531v-.201zM4.281 4.5a.22.22 0 0 1 .219-.219h7a.22.22 0 0 1 .219.219v4.594H4.28zm8.969 8.094H9.566l-.315-.718H6.75l-.315.718H2.75a.23.23 0 0 1-.175-.088l1.4-2.1h8.05l1.4 2.1a.23.23 0 0 1-.175.088"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], p.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = i([
  f("icon-laptop")
], p);
export {
  p as IconLaptop
};
